Package org.apache.sysds.runtime.io

## Class ListReader

- java.lang.Object
- - org.apache.sysds.runtime.io.ListReader

    public class ListReader
    extends Object

### Constructor Summary

Constructors
`ListReader()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ListObject` `readListFromHDFS​(String fname, String fmtStr, FileFormatProperties props)` Reads a list object and all contained objects from a folder with related meta data.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListReader

    public ListReader()

### Method Detail

#### readListFromHDFS

    public static ListObject readListFromHDFS​(String fname,
                                              String fmtStr,
                                              FileFormatProperties props)
                                       throws DMLRuntimeException

Reads a list object and all contained objects from a folder with related meta data. The individual objects (including nested lists) are read with existing matrix/frame readers and meta data such that the entire list and separate objects can be restored. By using the existing readers, all formats are naturally supported and we can ensure consistency of the on-disk representation.

Parameters:
  `fname` - directory name
  `fmtStr` - format string
  `props` - file format properties
Returns:
  list object
Throws:
  `DMLRuntimeException` - if inconsistent meta data or read fails